---
page_title: List Outages [Deprecated]
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/list-outages-deprecated
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Flist-outages-deprecated
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# List Outages [Deprecated]



> **Error**
> Please use the [Payment Methods API](https://docs.juspay.in/api-reference/docs/express-checkout/payment-methods) with this query param - `options.add_outage=true`to get a list of outages.



This API will return list of outages with banks and payment gateways. At this point, we only return the Scheduled downtimes that are announced by the Bank. You may use this to suggest alternative payment methods to your customers during the checkout process.

An example checkout screen with downtime info:

![Image](https://dth95m2xtyv8v.cloudfront.net/tesseract/assets/api-reference/ec52a6a-img1.png)



> **Note**
> The API will contain the current outages and those in the near future as well. Please check the start time & end time to show only the outages that are currently ongoing.

## Endpoints:
- Sandbox: https://sandbox.juspay.in/txns/outages

- Production: https://api.juspay.in/txns/outages

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String, Mandatory

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X GET https://api.juspay.in/outages \
-u your_api_key: \
-H 'x-routing-id: customer_1122'

```

### Sample Response:

#### Response:
```json
{
  "object": "list",
  "list": [
    {
      "id": "5xtum1onxblhq28e",
      "object": "outage",
      "scope": "GATEWAY",
      "start_time": "2016-09-19T18:32:00+0000",
      "end_time": "2016-09-20T18:29:59+0000",
      "description": "ABCD PG is down",
      "gateway": "ABCD"
    },
    {
      "id": "b3xy6lc0egxvjt02",
      "object": "outage",
      "scope": "BANK",
      "start_time": "2016-09-19T18:30:00+0000",
      "end_time": "2016-09-21T12:30:00+0000",
      "description": "ABCD Bank cards are failing. Please use other options.",
      "bank": "ABCD Bank",
      "payment_method_type": "CARD"
    }
  ],
  "count": 2,
  "offset": 0,
  "total": 2
}
```

## Body Parameters:
### Parameters:

#### id:
- Description: Outage ID generated by JusPay.
- Tags: string

#### object:
- Description: Object type of entity, in this case it’ll be `outage`.
- Tags: string

#### scope:
- Description: Scope of the outage, one of BANK or GATEWAY. If `GATEWAY`, then all the payment methods supported by the gateway will be impacted. If `BANK`, then the issue pertains only to the bank.
- Tags: string

#### gateway:
- Description: Will be present only if the scope is `GATEWAY`. All the payment methods pertaining to the `GATEWAY` will be impacted. You can mitigate this risk by having multiple gateways for each of the payment methods. The probability that two gateways will be down simulateneously is extremely low.
- Tags: string

#### bank:
- Description: Will be present only if the scope is `BANK`.
- Tags: string

#### payment_method_type:
- Description: Will be present only if the scope is `BANK`. One of `NB` or `CARD`. If `NB`, then NetBanking is impacted. If `CARD`, then cards issued by the bank will not work.
- Tags: string

#### start_time:
- Description: Indicates the start time of the outage event.
- Tags: string

#### end_time:
- Description: Indicates the outage completion time.
- Tags: string

#### description:
- Description: description
- Tags: string
## API Responses:
### 200:

#### object:
- Description: list
- Tags: string

#### count:
- Description: 2
- Tags: integer

#### offset:
- Tags: integer

#### total:
- Description: 2
- Tags: integer

#### list:
- Value:
  - **Id**:
    - Tags: String
  - **Object**:
    - Tags: String
  - **Scope**:
    - Tags: String
  - **Start_time**:
    - Tags: String
  - **End_time**:
    - Tags: String
  - **Description**:
    - Tags: String
  - **Gateway**:
    - Tags: String
- Tags: Array of objects


---

## See Also

- [Outages Guide](https://juspay.io/in/docs/api-reference/docs/express-checkout/outages-guide)
- [Introduction Copy](https://juspay.io/in/docs/api-reference/docs/express-checkout/introduction-copy)
